import "./App.css";
import Home from "./pages/Home";
import Garten from "./pages/Garten";
import Suche from "./pages/Suche";
import Navbar from "./components/Navbar";
import {Routes, Route } from "react-router-dom";
import Wunschliste from "./pages/Wunschliste";
import PlantDetails from "./components/PlantDetails";
import Register from "./pages/Register.tsx";
import Login from "./pages/Login.tsx";
import {useEffect, useState} from "react";
import {getCookie} from "./jwt/Cookies.ts";
import NavbarRegistrationAndLogin from "./components/NavbarRegistrationAndLogin.tsx";

function App() {
    const [isLoggedIn, setIsLoggedIn] = useState(false);
    useEffect(() => {
        const token = getCookie('Jwt');
        setIsLoggedIn(!!token);
    }, []);

  return (
    <div className="App">
      {isLoggedIn ? <Navbar /> : <NavbarRegistrationAndLogin />}
      <Routes>
        <Route path="/" element={<Home />} />
        <Route path="/garten" element={<Garten />} />
        <Route path="/wunschliste" element={<Wunschliste />} />
        <Route path="/suchen" element={<Suche />} />
        <Route path="/pflanze/:plantId" element={<PlantDetails />} />
        <Route path="/api/v1/auth/register" element={<Register />} />
        <Route path="/api/v1/auth/authenticate" element={<Login />} />
      </Routes>
    </div>
  );
}

export default App;
