import {useState} from "react";
import {setCookie} from "../jwt/Cookies.ts";

function Login() {
    const [email, setEmail] = useState('');
    const [password, setPassword] = useState('');

    const handleSubmit = async (e: { preventDefault: () => void; }) => {
        e.preventDefault(); //verhindert, dass die Seite neu geladen wird, wenn das Formular abgeschickt wird
        await handleLogin();
    };
    const handleLogin = async () => {
        try {
            const res = await fetch("http://localhost:8080/api/v1/auth/authenticate",{method:"POST",body:JSON.stringify({email:email,password:password})})
            const {token} = await res.json();
            setCookie("Jwt",token, 1);
            console.log(token);
        } catch (error:any) {
            console.error('Fehler bei der Anmeldung:', error.message);
        }
    };

    return (
        <main>
            <div>
                <h2>Login</h2>
                <form>
                    <div>
                        <label>Benutzername oder E-Mail:</label>
                        <input
                            type="text"
                            value={email}
                            onChange={(e) => setEmail(e.target.value)}
                        />
                    </div>
                    <div>
                        <label>Passwort:</label>
                        <input
                            type="password"
                            value={password}
                            onChange={(e) => setPassword(e.target.value)}
                        />
                    </div>
                    <div>
                        <form onSubmit={handleSubmit}>
                            <button type="submit">Anmelden</button>
                        </form>
                    </div>
                </form>
            </div>

        </main>
    );
}

export default Login;